Subject: Reader's Letter2

From: [email-masked] (Yonghong Li)
Date: Sun, 15 Aug 93 16:35:37 -0400

>From [email-masked]  Sun Aug 15 12:57:40 1993
Received: by harvard.harvard.edu (5.54/a0.25)
	(for yhl@cmliris) id AA26012; Sun, 15 Aug 93 13:05:54 EDT
Received: from baylor.edu by baylor.edu (PMDF V4.2-11 #3376) id
 <[email-masked]>; Sun, 15 Aug 1993 12:05:36 CDT
Date: Sun, 15 Aug 1993 12:05:36 -0500 (CDT)
>From: "Michael P. Guo" <[email-masked]>
Subject: Experiences in INS(San Antonio)--You may forward to LADnet.
To: [email-masked], yhl%cmliris@harvard
Message-Id: <[email-masked]>
X-Vms-To: IN%"[email-masked]",IN%"[email-masked]",
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; CHARSET=US-ASCII
Content-Transfer-Encoding: 7BIT
Status: R

              A pleasant experience in INS(San Antonio)

My 7 years old daughter(LAD) and I(pricipal) went to INS office 
in San Antonio on Aug. 12. 15 minutes after we entered the building,
it was our turn to talk to the immigation officer. The officer was a
very kind and friendly lady. It seemed she knew CSPA and LAD issue very 
well. 

The documents I turned in and the events were:  

1. My CSPA receipt(xerox copy)
2. My daughter's birth certificate(natorized in China)(xerox copy)
3. My TA salary letter(xerox copy)
4. Notarized I-134(I filed)
5. My bank statement with amount of ~ $10000.00
6. My wife's employment letter(when the officer saw this, she asked for
   my marriage license)
7. Marriage license(Notarized in China, xerox copy)
8. 9003(IRS)
9. I-693(medical form, no TB test, no blood test, cost me $25 in Temple, TX)
10.pictures(She said the pictures I took were not good, then my daughter was 
   led to a photographer a few yards away to get 4 copy of pictures($9))
   The officer was so nice telling that after I got the pictures I did not 
   need to stand in line again, just come to her window directly.  
11. My sworn letter, saying all xerox copies were true.
12. 2 years waiver letter which I got on Spe. 18, 1989, when I changed my 
    status from J-1 to F-1. But she did not want to keep neither original 
    nor xerox of my IAp-66,I-20 forms.
13. She asked for my daughter's original I-94.
14. She stamp something on my daughter's passport, and told me that my daughter
    can not leave this country for 60 days. She said my daughter and I can get
    GC in 60 days, or 30 days or even 15 days(I am now in doubt about my recall)
15. She stabled all documents mentioned above and passed to me, asking me
    to give it to cashier. The cashier kept all my daughter's document after
    I paid $95.(No credit cards are accepted)
16. When I was ready to leave, I heard a conversation between a Chinese guy
    and that friendly lady. He asked her whether he needed to apply for 
    employment authorization. She said "You don't have to, you may get your
    GC in 30 days or even 15 days"(I may hear wrong). He said"I have to 
    start a job on Aug 16", then she said"Let me write 'RUSH' on your 
    application" --How nice this lady was!
17. A Chinese person on E32 class(3rd employment base immigaration) with 
    priority date in Sept. 1992 has to wait for another year for visa availble. 
17. It took us less than an hour in INS building to finish evevrthing. 

Good luck to every one. 

Michael Guo